Page MenuHomeVyOS Platform

Support tcptraceroute
Closed, ResolvedPublicFEATURE REQUEST

Description

Support tcptraceroute route tracing. The command is as follows:

traceroute ipv4 <host> tcp port <port>
traceroute ipv6 <host> tcp port <port>
traceroute vrf <vrfname> ipv4 <host> tcp port <port>
traceroute vrf <vrfname> ipv6 <host> tcp port <port>

Details

Difficulty level
Easy (less than an hour)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Related Objects

StatusSubtypeAssignedTask
ResolvedFEATURE REQUESTjack9603301
In progressFEATURE REQUESTjack9603301
ResolvedFEATURE REQUESTjack9603301

Event Timeline

jack9603301 changed the task status from Open to In progress.Jul 22 2020, 3:42 AM
jack9603301 claimed this task.
jack9603301 created this task.
jack9603301 triaged this task as Low priority.Jul 22 2020, 4:59 AM
jack9603301 renamed this task from Tracking routing support to Support tcptraceroute.Jul 22 2020, 5:59 AM
jack9603301 updated the task description. (Show Details)Jul 22 2020, 6:14 AM
jack9603301 changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).Jul 22 2020, 6:47 AM
jack9603301 changed Is it a breaking change? from Unspecified (possibly destroys the router) to Perfectly compatible.

@c-po This PR has been open for several days, requesting a merge

https://github.com/vyos/vyos-1x/pull/514

Sorry on behalf of the team. The process of PR review is not ideal. I appreciate that you have asked for merge, and would be probably expecting some feedback As it was not, and that you got neither yet. I know it can be a bit frustrating .. I also have PRs waiting! 🥱
Hopefully there will be more regular review going forward, in the meanwhile please be assured that your contribution is appreciated and again sorry for the wait.

jack9603301 changed the task status from In progress to Needs testing.Jul 26 2020, 6:52 AM
jack9603301 changed the task status from Needs testing to In progress.EditedAug 5 2020, 2:03 PM

Dependency and VRF support for tcptraceroute6 will be submitted in the next few days

jack9603301 updated the task description. (Show Details)Aug 6 2020, 9:31 AM
jack9603301 moved this task from In Progress to Finished on the VyOS 1.3 Equuleus board.
jack9603301 closed this task as Resolved.Oct 24 2020, 8:48 AM